<?php

namespace WPUltimateSecurity\UltimateSecurity\Bootstrap\Providers;

use WPUltimateSecurity\UltimateSecurity\Contracts\ServiceProviderInterface;
use WPUltimateSecurity\UltimateSecurity\Presentation\Admin\AdminAssets;
use WPUltimateSecurity\UltimateSecurity\Presentation\Admin\AdminHooks;
use WPUltimateSecurity\UltimateSecurity\Presentation\Admin\AdminMenu;
use WPUltimateSecurity\UltimateSecurity\Presentation\Admin\ReactAssets;
use WPUltimateSecurity\UltimateSecurity\Presentation\Admin\AdminNotices;

class AdminServiceProvider implements ServiceProviderInterface
{
    public function register(): void
    {
        AdminHooks::register();
        AdminMenu::register();
        AdminAssets::register();
        ReactAssets::register();
        AdminNotices::register();
    }
}
